/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import com.rjconsultores.ventaboletos.dao.TipoCortesiaDAO;
import com.rjconsultores.ventaboletos.entidad.TipoCortesia;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

/**
 *
 * @author Rafius
 */
@Repository("tipoCortesiaDAO")
public class TipoCortesiaHibernateDAO extends GenericHibernateDAO<TipoCortesia, Integer>
        implements TipoCortesiaDAO {

    @Autowired
    public TipoCortesiaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    @Override
    public List<TipoCortesia> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
    }

    public List<TipoCortesia> buscar(String descTipo) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.add(Restrictions.eq("desctipo", descTipo));

        return c.list();
    }

    public List<TipoCortesia> obtenerGrupoCortesia(int i) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.add(Restrictions.eq("grupoCortesia.grupocortesiaId", new Integer(i).shortValue()));

        return c.list();
    }
}
